import { useLocation } from 'preact-iso';

export function Header() {
	const { url } = useLocation();

	return (
		<header>
			<nav>
				<a href="/" class={url == '/' && 'active'}>
					Home
				</a>
				<a href="/calendar-optimizer" class={url == '/calendar-optimizer' && 'active'}>
					Calendar Optimizer
				</a>
				<a href="/historical-calendar-prices" class={url == '/historical-calendar-prices' && 'active'}>
					Historical Calendar Prices
				</a>
				<a href="/404" class={url == '/404' && 'active'}>
					404
				</a>
			</nav>
		</header>
	);
}
