import _ from './env.js';
import { createClient as createClickhouseClient } from '@clickhouse/client';
import type { DataFormat } from '@clickhouse/client';

// prevent from tree-shaking:
console.log(_);
export const clickhouse = createClickhouseClient({
  host: process.env.CLICKHOUSE_HOST || "http://localhost:8123",
  username:'avraham', 
  password:'buginoo'
});

export async function query<T>(queryString:string, format:DataFormat='JSONEachRow') : Promise<Array<T>>{
  return await (await clickhouse.query({
    query: queryString,
    format
  })).json()
}